
QGIS Application - Feature request #3402

Feature count when using classifed symbology

2011-01-10 05:09 AM - zicke -

Status: Closed

Priority: Low

Assignee:

Category: Map Legend

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 13462

Description

When using a classified symbology the "feature count" option in the legend shows the feature count of every class. It would be nice to see

the total feature count of the layer too.

Associated revisions

Revision 5de2feef - 2012-11-05 11:17 PM - Radim Blazek

add total feature count in legend, fixes #3402

History

#1 - 2011-12-16 01:50 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:32 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2012-11-05 02:18 PM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"5de2feef7d4df677dca56825bc2bb2dade4c83c7".

#5 - 2012-11-05 02:20 PM - Radim Blazek

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Resolution set to fixed

Total feature count is now appended to layer name in the same manner as to classes.

Work done by Faunalia for Agence de l'eau Adour Garonne.

#6 - 2012-11-06 02:53 AM - Regis Haubourg

- File feature_count_minored_by_1.jpg added
Hi Radim, 

great work all you did around feature count, thanks. I tested today in ff78ef1. Total feature count seems incorrect,it seems to be minored by 1 all the time. 

See attached picture.

Regis

#7 - 2012-11-06 11:14 PM - Radim Blazek

regis Haubourg wrote:

I tested today in ff78ef1. Total feature count seems incorrect,it seems to be minored by 1 all the time.

You are right, there was a bug but it was fixed in the mean time by commit:038acbc760, please try again. Thanks for testing.
